Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_FIFO_Send_Msg Class Reference

Sender side for the Record oriented C++ wrapper for UNIX FIFOs. More...

`#include <FIFO_Send_Msg.h>`

Inheritance diagram for ACE_FIFO_Send_Msg

[legend]
Collaboration diagram for ACE_FIFO_Send_Msg:

[legend]
List of all members.

## Public Methods
| ACE_FIFO_Send_Msg (void)
| Default constructor.
| ACE_FIFO_Send_Msg (const ACE_TCHAR *rendezvous, int flags = O_WRONLY, int perms = ACE_DEFAULT_FILE_PERMS, LPSECURITY_ATTRIBUTES sa = 0)
| Open up a record-oriented named pipe for writing.
int | open (const ACE_TCHAR *rendezvous, int flags = O_WRONLY, int perms = ACE_DEFAULT_FILE_PERMS, LPSECURITY_ATTRIBUTES sa = 0)
| Open up a record-oriented named pipe for writing.
ssize_t | send (const ACE_Str_Buf &msg)
| Send <buf> of up to <len> bytes.
ssize_t | send (const void *buf, size_t len)
| Send <buf> of exactly <len> bytes (block until done).
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Sender side for the Record oriented C++ wrapper for UNIX FIFOs.

## Constructor & Destructor Documentation

ACE_FIFO_Send_Msg::ACE_FIFO_Send_Msg ( | void )

| Default constructor.

ACE_FIFO_Send_Msg::ACE_FIFO_Send_Msg ( | const ACE_TCHAR * rendezvous,
| int flags = O_WRONLY,
| int perms = ACE_DEFAULT_FILE_PERMS,
| LPSECURITY_ATTRIBUTES sa = 0 )

| Open up a record-oriented named pipe for writing.

## Member Function Documentation

void ACE_FIFO_Send_Msg::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_FIFO_Send.

int ACE_FIFO_Send_Msg::open ( | const ACE_TCHAR * rendezvous,
| int flags = O_WRONLY,
| int perms = ACE_DEFAULT_FILE_PERMS,
| LPSECURITY_ATTRIBUTES sa = 0 )

| Open up a record-oriented named pipe for writing. Reimplemented from ACE_FIFO_Send.

ASYS_INLINE ssize_t ACE_FIFO_Send_Msg::send ( | const void * buf,
| size_t len )

| Send <buf> of exactly <len> bytes (block until done). Reimplemented from ACE_FIFO_Send.

ssize_t ACE_FIFO_Send_Msg::send ( | const ACE_Str_Buf & msg )

| Send <buf> of up to <len> bytes.

## Member Data Documentation

ACE_FIFO_Send_Msg::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_FIFO_Send.

The documentation for this class was generated from the following files:

- FIFO_Send_Msg.h
- FIFO_Send_Msg.cpp
- FIFO_Send_Msg.i